import request from 'utils/request'

// 查询专家咨询列表
export const getExpertConsultListApi = (data) => {
  return request.tryGet('/elevator/expertConsult/list', data)
}

// 获取专家咨询详细信息
export const getExpertConsultInfoApi = (data) => {
  return request.tryGet(`/elevator/expertConsult/${data.id}`, data)
}

// 新建专家咨询
export const postExpertConsultApi = (data) => {
  return request.tryPost('/elevator/expertConsult', data)
}

// 接收专家咨询工单
export const postExpertConsultReceiveApi = (data) => {
  return request.tryPost('/elevator/expertConsult/receive', data)
}

// 完成专家咨询工单
export const postExpertConsultCompleteApi = (data) => {
  return request.tryPost('/elevator/expertConsult/complete', data)
}

// 审核专家咨询工单
export const postExpertConsultAuditApi = (data) => {
  return request.tryPost('/elevator/expertConsult/audit', data)
}
